<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: 类成员</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_r.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">这里列出了所有类成员，并附带类的详细说明:</div>

<h3><a id="index_r"></a>- r -</h3><ul>
<li>recursivelyRemoveNulls
: <a class="el" href="category_n_s_mutable_array_07_removing_nulls_08.html#a108c06d0dd1fb8e03e6ddca89d62cf07">NSMutableArray(RemovingNulls)</a>
, <a class="el" href="category_n_s_mutable_dictionary_07_removing_nulls_08.html#a963441ee1235f8ea7bc46fa703722b9d">NSMutableDictionary(RemovingNulls)</a>
</li>
<li>recursivelyRemoveNullsIgnoringArrays:
: <a class="el" href="category_n_s_mutable_array_07_removing_nulls_08.html#aad8499cfdbedf252200e7c981dd1e6db">NSMutableArray(RemovingNulls)</a>
, <a class="el" href="category_n_s_mutable_dictionary_07_removing_nulls_08.html#a8704e3b16d5f03b3ca00a8a91540e8ce">NSMutableDictionary(RemovingNulls)</a>
</li>
<li>redDotView
: <a class="el" href="category_x_h_x_tab_item_07_08.html#a7ef253e175c7510b07ed0399c0f214b6">XHXTabItem()</a>
</li>
<li>refreshBlock
: <a class="el" href="category_x_h_x_text_blank_view_07_08.html#a745d17681887f98ca6c95637aec7f071">XHXTextBlankView()</a>
</li>
<li>refreshButton
: <a class="el" href="interface_x_h_x_text_blank_view.html#aef9f66e71c028928a1023785c97e433c">XHXTextBlankView</a>
</li>
<li>refreshUIWithModel:
: <a class="el" href="protocol_x_h_x_safe_data_delegate-p.html#ab871d080d348eff01f3ed104ea1bbde7">&lt;XHXSafeDataDelegate&gt;</a>
</li>
<li>reloadAllComponents
: <a class="el" href="interface_x_h_x_picker_view.html#a1948cd77600083a44f1f7dc0209df3e9">XHXPickerView</a>
</li>
<li>reloadComponent:
: <a class="el" href="interface_x_h_x_picker_view.html#a54328e0b8a951146b8f5827d17739a78">XHXPickerView</a>
</li>
<li>reloadContentWithTitle:
: <a class="el" href="interface_main_tab_tip_view.html#a2db1e268245383fbbd45c6a052d2a772">MainTabTipView</a>
</li>
<li>removeAllLines
: <a class="el" href="category_u_i_view_07_c_k_line_08.html#a4f5c6f7988ce5d6e6e1cca18940d74c9">UIView(CKLine)</a>
</li>
<li>removeCurrentBadgeView
: <a class="el" href="category_u_i_view_07_k_k_l_badge_view_08.html#acc384cc6fc6b6e39f1f01795e025c789">UIView(KKLBadgeView)</a>
</li>
<li>removeItemAtIndex:refreshUI:
: <a class="el" href="interface_x_h_x_safe_data.html#a11f45fa42d09c23026067b8f1394e981">XHXSafeData</a>
</li>
<li>removeItemsAtIndexs:refreshUI:
: <a class="el" href="interface_x_h_x_safe_data.html#ad2a6b5029c69fd341ac43a7fadc5eb22">XHXSafeData</a>
</li>
<li>removeLineWithAlignment:
: <a class="el" href="category_u_i_view_07_c_k_line_08.html#a275d008a74cae4ff73234a3a8ba1ff1f">UIView(CKLine)</a>
</li>
<li>removeObserver:
: <a class="el" href="interface_x_h_x_text_keyboard_manager.html#a4009a5f72bc1173e4b37949b5b0e2f65">XHXTextKeyboardManager</a>
</li>
<li>replayAudio:
: <a class="el" href="interface_k_k_l_audio_player.html#a7de62b429cdf4f82c0aecc7f5d9ec8b2">KKLAudioPlayer</a>
</li>
<li>replayAudio:withStartTime:
: <a class="el" href="interface_k_k_l_audio_player.html#ad897c2ee7c06806747eb7b490407f55f">KKLAudioPlayer</a>
</li>
<li>reset
: <a class="el" href="interface_k_k_l_audio_player.html#a54e74db0c308b1b8e03200c77bd4db64">KKLAudioPlayer</a>
</li>
<li>resetDataArray:refreshUI:
: <a class="el" href="interface_x_h_x_safe_data.html#a48fcde35d929039c31b88e800d6ed68f">XHXSafeData</a>
</li>
<li>resizableImageWithColor:cornerRadius:
: <a class="el" href="category_u_i_image_07_k_o_extension_08.html#a19f623e132bde45061d83edbdd94fdb9">UIImage(KOExtension)</a>
</li>
<li>resueIdentifier
: <a class="el" href="interface_tp_cell_class_type.html#a9e8afb808cd112b73cccfa15f932dac4">TpCellClassType</a>
, <a class="el" href="interface_x_h_x_cell_class_type.html#a19131a12398f87de39a5c23ba301b8a7">XHXCellClassType</a>
</li>
<li>resultList
: <a class="el" href="interface_u_r_l_fetch_task.html#a9feec50b6e08a5b75e0aeb79ee046b22">URLFetchTask</a>
</li>
<li>right
: <a class="el" href="category_u_i_view_07_set_rect_08.html#aeb4bd71572d58014ccef226e894e7347">UIView(SetRect)</a>
, <a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a87c9a8a3010e67805508ed730b0fe940">UIView(XHXRect)</a>
</li>
<li>rootViewController
: <a class="el" href="interface_x_h_x_navigator.html#a1ab38ab3ebac8021bf5ebad00d76d203">XHXNavigator</a>
</li>
<li>rootWindow
: <a class="el" href="interface_x_h_x_navigator.html#ac4ee4d0dd9d4258a7388d48bd416c528">XHXNavigator</a>
</li>
<li>rowSizeForComponent:
: <a class="el" href="interface_x_h_x_picker_view.html#a1663ff889ec2b88fcbaacaf51c929960">XHXPickerView</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
